function Adapt0
%function Adapt0;
% Theo Arts, Maastricht University
% April24, 2008, email: t.arts@bf.unimaas.nl

global Par
save ParTemp Par; %saves last intermediate solution

% Assessment of stationarity of flows
Str= '[Par.ValveRVen.q,Par.ValveRArt.q,Par.ValveLVen.q,Par.ValveLArt.q]';
Aux= eval(Str); FlowVec= mean(Aux(2:end,:));
 % test on presence of FlowVec with right size
 if isfield(Par.Adapt, 'FlowVec');
    FlowVecPrev= Par.Adapt.FlowVec;
    if length(FlowVecPrev)~=length(FlowVec);
        FlowVecPrev= 0*FlowVec;
    end
else
    FlowVecPrev= 0*FlowVec;
end
ErrFlow= std(FlowVec-FlowVecPrev)/mean(FlowVec); % instationarity
Par.Adapt.FlowVec= FlowVec;
disp('Flow RVen RArt LVen LArt Err (ml/s), ErrFlow :');
disp(num2str([FlowVec*1e6,ErrFlow],4));
% ---- end flow error calculation

% === identify parameter to make stationary ====
Par.Adapt.StrInOut={...
    'Par.Lv.V',...
    'Par.Rv.V',...
    'Par.La.V',...
    'Par.Ra.V',...
    'Par.TubeLArt.V',...
    'Par.TubeRArt.V',...
    'Par.TubeRVen.V',...
    'Par.TubeLVen.V',...
    };

Par2InOut; %writes to Par.Adapt.In

% Peripheral resistance settings
Par.LRp.R = (Par.General.p0-mean(Par.TubeRVen.p))/Par.General.q0;
Par.RRp.R = Par.General.pDropPulm/mean(Par.RRp.q); % NotEqTo q0 due to shunt flows

% Estimate AV-delay
TauAv=0.185*Par.General.tCycle;
Par.General.TauAv= TauAv;

Par2InOut; %writes to Par.Adapt.Out

% === Faster Steady State
if Par.Adapt.Fast;
    % === if Error==small, ending is made faster
    if size(Par.Adapt.Out,1)>1; % Escape if steady state is reached
        ErrVec= log( Par.Adapt.Out(end,:)./Par.Adapt.In(end,:) );
        if sqrt(mean(ErrVec .^2 ))<0.001
            Par.General.tEnd= Par.General.tEnd-0.5*(Par.General.tEnd-Par.t(end));
        end
    end;
    %=== ERROR criterium on flow stationarity
    SteadyState(0.2); % sets new initial conditions to StrInOut-variables
end
disp(' ');

% get the initial condition for next beat, Par is most compact information to
% start the simulation
Par2SVar; % load physiologic data in record of state variables Par.SVar
%SVarDot= CircSVarDot(0,Par.SVar(end,:)',[]); % Compact Par-structure+++++++
CircSVarDot(0,Par.SVar(end,:)',[]); % Compact Par-structure

return
