function Par2InOut
% function Par2In;
% Reads In records as defined in in Par.AdaptStrInOut, writes to
% Par.Adapt.In if this record is short, else to Par.Adapt.Out
% May be used to display steady-state error information

global Par

StrInOut= Par.Adapt.StrInOut;
n=length(StrInOut);
InOut=zeros(1,n);

nIn=size(Par.Adapt.In,2);
if nIn~=n && nIn~=0 ; return; end %escape for direct use of Adapt0

if size(Par.Adapt.In,1)<= size(Par.Adapt.Out,1);
    % ==== append 'InOut' values ===================
    for i=1:n;
        InOut (i)=eval([StrInOut{i},'(1  )']);
    end
    Par.Adapt.In = [Par.Adapt.In ; InOut ];
else
    for i=1:n;
        InOut(i)=eval([StrInOut{i},'(end)']);
    end
    Par.Adapt.Out= [Par.Adapt.Out; InOut];
    
    % Estimate of residual error
    ErrVec= log( Par.Adapt.Out(end,:)./Par.Adapt.In(end,:) );
    ErrSteady= sqrt(mean(ErrVec .^2 ));
    disp(['Error Steady State [1e-4]= ',num2str(round(1e4*ErrSteady))]);
    
end
% ---- end append 'Out'-------------------------

return